From 2419ec6780f1e6a003b553066f83d966fee0c15b Mon Sep 17 00:00:00 2001
From: Anton Voloshin <a.voloshin@postgrespro.ru>
Date: Thu, 18 Jan 2024 15:03:11 +0300
Subject: [PATCH 3/3] alt.fix for "xl_tot_len zero" test: accept
 "invalid magic number 0000 in WAL segment" as well

Tags: commitfest_hotfix
---
 src/test/recovery/t/039_end_of_wal.pl | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/test/recovery/t/039_end_of_wal.pl b/src/test/recovery/t/039_end_of_wal.pl
index 3168d991fee..f7a6a722a78 100644
--- a/src/test/recovery/t/039_end_of_wal.pl
+++ b/src/test/recovery/t/039_end_of_wal.pl
@@ -287,6 +287,7 @@ $node->stop('immediate');
 my $log_size = -s $node->logfile;
 $node->start;
 ok( $node->log_contains(
+		"invalid magic number 0000 in WAL segment|" .
 		"invalid record length at .*: expected at least 24, got 0", $log_size
 	),
 	"xl_tot_len zero");
-- 
2.43.0

